Return Google Ads ad traffic impression, click, cost, CTR, and average CPC forecasts
curl --request POST \
--url https://api.agentbody.io/v1/seo/google-ads/ad-traffic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bid": 123,
"keywords": [
"<string>"
],
"date_from": "2023-12-25",
"date_to": "2023-12-25",
"language_code": "<string>",
"location_code": 123,
"search_partners": true
}
'import requests
url = "https://api.agentbody.io/v1/seo/google-ads/ad-traffic"
payload = {
"bid": 123,
"keywords": ["<string>"],
"date_from": "2023-12-25",
"date_to": "2023-12-25",
"language_code": "<string>",
"location_code": 123,
"search_partners": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bid: 123,
keywords: ['<string>'],
date_from: '2023-12-25',
date_to: '2023-12-25',
language_code: '<string>',
location_code: 123,
search_partners: true
})
};
fetch('https://api.agentbody.io/v1/seo/google-ads/ad-traffic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": []
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "example error"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_INVALID_RESPONSE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_UNAVAILABLE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_TIMEOUT",
"message": "example error"
}
}seo
Return Google Ads ad traffic impression, click, cost, CTR, and average CPC forecasts
Use this operation to return Google Ads impression, click, cost, CTR, and average CPC forecasts for up to 100 keywords. Requires bid and match; forecasting period defaults to next_month unless date_from/date_to or date_interval is set.
POST
/
v1
/
seo
/
google-ads
/
ad-traffic
Return Google Ads ad traffic impression, click, cost, CTR, and average CPC forecasts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional key for safely retrying a billable write request.
Required string length:
1 - 255Body
application/json
Required array length:
1 - 100 elementsRequired string length:
1 - 100Available options:
exact, broad, phrase Available options:
next_week, next_month, next_quarter Response
Historical ad traffic metrics.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
